Bug 1190374 (CVE-2021-22947)

Summary: VUL-0: CVE-2021-22947: curl: STARTTLS protocol injection via MITM
Product: [Novell Products] SUSE Security Incidents Reporter: Robert Frohl <rfrohl>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: gianluca.gabrielli, pmonrealgonzalez
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/309783/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-22947:5.9:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Comment 8 Pedro Monreal Gonzalez 2021-09-15 07:19:51 UTC
Factory submission: https://build.opensuse.org/request/show/919068
I'll submit version 7.79.0 to SLE-15-SP4:GA soon.
Comment 11 Swamp Workflow Management 2021-09-23 19:41:48 UTC
SUSE-SU-2021:14807-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SECURITY (src):    curl-openssl1-7.37.0-70.74.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-10-06 19:17:55 UTC
openSUSE-SU-2021:3298-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    curl-7.66.0-4.27.1
Comment 14 Swamp Workflow Management 2021-10-06 19:47:40 UTC
SUSE-SU-2021:3298-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE MicroOS 5.1 (src):    curl-7.66.0-4.27.1
SUSE MicroOS 5.0 (src):    curl-7.66.0-4.27.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    curl-7.66.0-4.27.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    curl-7.66.0-4.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2021-10-06 19:56:45 UTC
SUSE-SU-2021:3297-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server for SAP 15 (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server 15-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    curl-7.60.0-25.1
SUSE Enterprise Storage 6 (src):    curl-7.60.0-25.1
SUSE CaaS Platform 4.0 (src):    curl-7.60.0-25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-10-11 19:26:16 UTC
SUSE-SU-2021:3332-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    curl-7.60.0-11.28.1
SUSE Linux Enterprise Server 12-SP5 (src):    curl-7.60.0-11.28.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-10-12 16:23:46 UTC
SUSE-SU-2021:3351-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    curl-7.60.0-4.30.1
SUSE OpenStack Cloud 9 (src):    curl-7.60.0-4.30.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    curl-7.60.0-4.30.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    curl-7.60.0-4.30.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2021-10-18 19:21:59 UTC
openSUSE-SU-2021:1384-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    curl-7.66.0-lp152.3.24.1, curl-mini-7.66.0-lp152.3.24.1